Ffmpeg missing in 4.1

REPRODUCIBILITY (% or how often): 100%
BUILD ID = OS VERSION (Settings > About product): 4.1
HARDWARE (XA2, X10, X10 II, …): ALL
UI LANGUAGE: ALL
REGRESSION: (compared to previous public release: Yes, No, ?): YES

DESCRIPTION:

Since 4.1, it sems that ffmpeg-tools is no longer installed. In order to provide software that depended on ffmpeg, I was advised to just ‘use’ the local ffmpeg. However, I did not ‘Require’ it in my build. Now the software (Videoworks and Audioworks) no longer work. This is not such a Jolla problem with Videoworks, since it’s not in the store (yet). But Audioworks is in the Store and can no longer be supported for 4.1 / aarch64, since you’ve moved the goal posts.

PRECONDITIONS:

3.4 → 4.1

STEPS TO REPRODUCE:

  1. Install audioworks with version 4.1.

EXPECTED RESULT:

ffmpeg and ffprobe present in system.

ACTUAL RESULT:

not.

ADDITIONAL INFORMATION:

Well, since it’s not listed on your ‘supplied’ libraries/etc. pages, I probably can’t expect anything. But it is irritating since the suggestion to use Jolla supplied ffmpeg came from a jolla employee. This is really demotivating.

3 Likes

Background info / history: Need help testing 4.1, aarch64 Videoworks - #8 by Maus

P.S.: This is also is valid for Audioworks, which is in the Jolla Store (“Harbour”), but a Depends: ffmpeg-tools (which would technically resolve this issue) conflicts with Jolla’s rules for Apps in the Jolla Store.

Yup. I’m looking at A) asking for some more SFOS available libs to be ‘allowed’ or B) rebuilding all the build files (Audioworks, Videoworks, Imageworks) to build submodules.

I have a nasty feeling that jolla is going to shoot themselves in the foot. But, with rinigus and piggz help, we’ll at least move more an more to proper dependancy management in an obs context.